petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecExp

Replaces each component of a vector by e^x_i

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecExp(Vec v)

Not collective

### Input Parameter

v -The vector

### Output Parameter

v -The vector of exponents

### See Also

VecLog(), VecAbs(), VecSqrtAbs(), VecReciprocal()

### Keywords

vector, sqrt, square root

### Level

beginner

### Location

src/vec/vec/utils/vinv.c

### Examples

src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages